/*
	execute.h -- simple (and secure) execute routines
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef EXECUTE_H_
#define EXECUTE_H_ 1

#define SAFE_PATH	"/bin:/usr/bin"

int execute(const char *path, int do_fork, int drop_priv);
FILE *pexecute(const char *path, char mode, int drop_priv, int *saved_pid);
int pdone(FILE *fd, int saved_pid);

#endif

/* end execute.h */
